package com.yonge.cooleshow.biz.dal.service;


import com.yonge.cooleshow.biz.dal.wrapper.MusicPracticeRecordWrapper;

public interface MusicPracticeRecordService {

    /**
     * 查询记录详情
     */
    MusicPracticeRecordWrapper.Entity detail(Long id);

    /**
     * 添加记录
     */
    String add(MusicPracticeRecordWrapper.MusicPracticeRecord from);


    Object getLastEvaluationMusicalNotesPlayStats(Long recordId);

    /**
     * 查询记录
     *
     */
    MusicPracticeRecordWrapper.Entity getById(Long id);

    /**
     * 更新练习记录
     *
     */
    void update(MusicPracticeRecordWrapper.Entity practiceRecord);
}
